=== debian/changelog ===
ataqv (1.1.1+ds-3) unstable; urgency=medium

  * Make the build reproducible courtesy of Chris Lamb. (Closes: #959714)
  * debian/upstream/metadata: Add Repository & Repository-Browse

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 06 May 2020 15:19:39 +0200

ataqv (1.1.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 20:48:52 +0200

ataqv (1.1.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #951483)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 08:31:08 +0100
