=== debian/control ===
Source: ataqv
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-system-dev,
               libboost-chrono-dev,
               libhts-dev,
               libncurses5-dev,
               libtinfo-dev,
               zlib1g-dev,
               libjs-jquery,
               libjs-jquery-datatables,
               libjs-jquery-datatables-extensions,
               fonts-font-awesome,
               node-normalize.css,
               help2man,
               python3,
               node-d3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ataqv
Vcs-Git: https://salsa.debian.org/med-team/ataqv.git
Homepage: https://github.com/ParkerLab/ataqv/
Rules-Requires-Root: no

Package: ataqv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-jquery-datatables,
         libjs-jquery-datatables-extensions,
         fonts-font-awesome,
         node-normalize.css,
         python3,
         node-d3
Suggests: picard-tools,
          samtools,
          macs,
          wget
Description: ATAC-seq QC and visualization
 A toolkit for measuring and comparing ATAC-seq results, made in the
 Parker lab at the University of Michigan. They wrote it to help
 understand how well their ATAC-seq assays had worked, and to make it
 easier to spot differences that might be caused by library prep or
 sequencing.
