=== debian/changelog ===
ataqv (1.2.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 13:29:23 +0200
