=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ataqv
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-system-dev,
