=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  https://github.com/ParkerLab/ataqv/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
