## ataqv 1.3.0%2Bds

=== debian/changelog ===
ataqv (1.3.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * lintian-overrides due to lintian bug #1017966

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 12:41:15 +0200

ataqv (1.3.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 08:12:45 +0100

ataqv (1.2.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 10:23:21 +0200
