=== debian/control ===
--- 
+++ 
@@ -19,8 +19,9 @@
                node-normalize.css,
                help2man,
                python3,
-               node-d3
-Standards-Version: 4.5.0
+               node-d3,
+               debhelper
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/ataqv
 Vcs-Git: https://salsa.debian.org/med-team/ataqv.git
 Homepage: https://github.com/ParkerLab/ataqv/
