=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	cp -sf /usr/share/nodejs/d3/dist/d3.min.js src/web/js/d3.min.js
	cp -sf /usr/share/javascript/jquery-datatables-extensions/JSZip/jszip.min.js src/web/js/jszip.min.js
	cp -sf /usr/share/javascript/jquery-datatables-extensions/Buttons/css/buttons.dataTables.min.css src/web/css/datatables.buttons.min.css
	cp -sf /usr/share/javascript/jquery-datatables/css/jquery.dataTables.min.css src/web/css/datatables.min.css
	cp -sf /usr/share/fonts-font-awesome/css/font-awesome.min.css src/web/css/font-awesome.min.css
	cp -sf /usr/share/javascript/normalize.css/normalize.css src/web/css/normalize.css
	cp -sf /usr/share/fonts-font-awesome/fonts/* src/web/fonts/
	cp -s /usr/share/javascript/jquery/jquery.min.js \
		/usr/share/javascript/jquery-datatables-extensions/pdfmake/build/pdfmake.min.js \
		/usr/share/javascript/jquery-datatables/jquery.dataTables.min.js \
		/usr/share/javascript/jquery-datatables-extensions/Buttons/js/dataTables.buttons.min.js \
		/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.colVis.min.js \
		/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.html5.min.js \
		/usr/share/javascript/jquery-datatables-extensions/Buttons/js/buttons.print.min.js \
		/usr/share/javascript/jquery-datatables-extensions/Responsive/js/dataTables.responsive.min.js \
		src/web/js/
	rm -f src/web/js/datatables.min.js

override_dh_auto_build:
	dh_auto_build -- all testing/run_ataqv_tests

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installman:
	help2man --no-info --name="QC metrics for ATAC-seq data" build/ataqv > debian/ataqv.1
	help2man --no-info --name="Turns ataqv results into a web app" src/scripts/mkarv > debian/mkarv.1
	help2man --no-info --name="serve an instance of the ataqv web results viewer" --version-string $(DEB_VERSION_UPSTREAM) src/scripts/srvarv > debian/srvarv.1
	dh_installman
