=== debian/changelog ===
ataqv (1.3.1+ds-3) unstable; urgency=medium

  * Team upload.
  * d/watch: version=5
  * Drop libboost-system-dev from Build-Depends
    Closes: #1127171
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Update watch file format version to 4.
  * Add dversionmangle for repack versioning in debian/watch.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Feb 2026 22:39:26 +0100

ataqv (1.3.1+ds-2) unstable; urgency=medium

  * Team upload.
  * d/clean: Clean files copied during configure (Closes: #1044021, #1049553)

 -- Lance Lin <lq27267@gmail.com>  Thu, 14 Dec 2023 22:46:56 +0700

ataqv (1.3.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/libncurses5-dev/libncurses-dev/

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 14:19:28 +0200
