=== debian/control ===
--- 
+++ 
@@ -2,15 +2,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libboost-filesystem-dev,
                libboost-iostreams-dev,
-               libboost-system-dev,
                libboost-chrono-dev,
                libhts-dev,
-               libncurses5-dev,
-               libtinfo-dev,
+               libncurses-dev,
                zlib1g-dev,
                libjs-jquery,
                libjs-jquery-datatables,
@@ -21,7 +18,7 @@
                python3,
                node-d3,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/ataqv
 Vcs-Git: https://salsa.debian.org/med-team/ataqv.git
 Homepage: https://github.com/ParkerLab/ataqv/
