=== debian/watch ===
version=4
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// Version: 5

Template: Github
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// Owner: ParkerLab
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// Project: ataqv
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// Dversion-Mangle: auto
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// Repack-Suffix: +ds
